Package be.fgov.ehealth.mediprima.core.v2

# Class ProsthesisType

java.lang.Object
be.fgov.ehealth.mediprima.core.v2.MedicalCoverCommonInformationType
be.fgov.ehealth.mediprima.core.v2.ProsthesisType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:27+02:00", comments="JAXB RI v4.0.5") public class ProsthesisType extends MedicalCoverCommonInformationType implements Serializable

Java class for ProsthesisType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ProsthesisType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:mediprima:core:v2}MedicalCoverCommonInformationType">
           <sequence>
             <element name="CompanyList" type="{urn:be:fgov:ehealth:mediprima:core:v2}CompanyListType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProsthesisType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CompanyListType`
  `getCompanyList()`
  Gets the value of the companyList property.
  `void`
  `setCompanyList(CompanyListType value)`
  Sets the value of the companyList property.

  ### Methods inherited from class be.fgov.ehealth.mediprima.core.v2.MedicalCoverCommonInformationType

  `getAllowedSupplements, getAmountPatientPartMax, getPswcSupport, getValidityPeriod, setAllowedSupplements, setAmountPatientPartMax, setPswcSupport, setValidityPeriod`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProsthesisType

    public ProsthesisType()

- ## Method Details

  - ### getCompanyList

    public CompanyListType getCompanyList()
    Gets the value of the companyList property.
    Returns:
      possible object is `CompanyListType`

  - ### setCompanyList

    public void setCompanyList(CompanyListType value)
    Sets the value of the companyList property.
    Parameters:
      `value` - allowed object is `CompanyListType`